Retrieve an export
curl --request GET \
--url https://api.capibo.work/v1/exports/{export_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.capibo.work/v1/exports/{export_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capibo.work/v1/exports/{export_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "EXP-20931",
"dataset_id": "DS-301",
"status": "queued",
"format": "lerobot",
"destination": "s3",
"videos": 7339,
"url": "s3://timefactories/datasets/DS-301/v1.2",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "authentication_error",
"code": "api_key_invalid",
"message": "Invalid API key."
}
}{
"error": {
"type": "not_found",
"code": "resource_missing",
"message": "No mission with id MSN-9999."
}
}Exports
Retrieve an export
GET
/
exports
/
{export_id}
Retrieve an export
curl --request GET \
--url https://api.capibo.work/v1/exports/{export_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.capibo.work/v1/exports/{export_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capibo.work/v1/exports/{export_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "EXP-20931",
"dataset_id": "DS-301",
"status": "queued",
"format": "lerobot",
"destination": "s3",
"videos": 7339,
"url": "s3://timefactories/datasets/DS-301/v1.2",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "authentication_error",
"code": "api_key_invalid",
"message": "Invalid API key."
}
}{
"error": {
"type": "not_found",
"code": "resource_missing",
"message": "No mission with id MSN-9999."
}
}Authorizations
An API key from Settings → API keys, e.g. cpb_live_… or cpb_test_….
Path Parameters
Example:
"EXP-20931"
Response
The export.
Example:
"EXP-20931"
Example:
"DS-301"
Available options:
queued, packaging, ready, failed Example:
"lerobot"
Example:
"s3"
Example:
7339
Where the export was delivered, once ready.
Example:
"s3://timefactories/datasets/DS-301/v1.2"